org.apache.sling.scripting.thymeleaf

## Interface TemplateModeProvider

All Known Implementing Classes:
  PatternTemplateModeProvider

    @ProviderType
    public interface TemplateModeProvider

### Method Summary

All Methods Instance Methods Abstract Methods
`@Nullable org.thymeleaf.templatemode.TemplateMode` `provideTemplateMode(@NotNull org.apache.sling.api.resource.Resource resource)`

### Method Detail

#### provideTemplateMode

    @Nullable
    @Nullable org.thymeleaf.templatemode.TemplateMode provideTemplateMode(@NotNull
                                                                                    @NotNull org.apache.sling.api.resource.Resource resource)